import request from '@/utils/request'

// 查询pos机信息列表
export function listPosmachine(query) {
  return request({
    url: '/invest/posmachine/list',
    method: 'get',
    params: query
  })
}

// 查询pos机信息详细
export function getPosmachine(id) {
  return request({
    url: '/invest/posmachine/' + id,
    method: 'get'
  })
}

// 新增pos机信息
export function addPosmachine(data) {
  return request({
    url: '/invest/posmachine',
    method: 'post',
    data
  })
}

// 修改pos机信息
export function updatePosmachine(data) {
  return request({
    url: '/invest/posmachine',
    method: 'put',
    data
  })
}

// 删除pos机信息
export function delPosmachine(id) {
  return request({
    url: '/invest/posmachine/' + id,
    method: 'delete'
  })
}
